<?php

declare(strict_types=1);

namespace Truendo\Integration\Block;

class AutoBlock extends \Magento\Framework\View\Element\Template
{

    protected $helper;

    /**
     * Constructor
     *
     * @param \Magento\Framework\View\Element\Template\Context $context
     * @param \Truendo\Integration\Helper\Data $helper
     * @param array $data
     */
    public function __construct(
        \Magento\Framework\View\Element\Template\Context $context,
        \Truendo\Integration\Helper\Data $helper,
        array $data = []
    ) {
        parent::__construct($context, $data);
        $this->helper = $helper;
    }

    /**
     * Get site ID from configuration
     *
     * @return string
     */
    public function getSiteId()
    {
        return $this->helper->getSiteId();
    }
}

