<?php
declare(strict_types=1);

namespace Truendo\Integration\Helper;

use Magento\Framework\App\Helper\AbstractHelper;
use Magento\Store\Model\ScopeInterface;

class Data extends AbstractHelper
{

    const XML_PATH_SITE_ID = 'truendo_integration/general/site_id';

    /**
     * @param \Magento\Framework\App\Helper\Context $context
     */
    public function __construct(
        \Magento\Framework\App\Helper\Context $context
    ) {
        parent::__construct($context);
    }

    /**
     * Get Site ID from configurtion
     *
     * @param int|null $storeId
     */
    public function getSiteId($storeId = null)
    {
        return $this->scopeConfig->getValue(self::XML_PATH_SITE_ID, ScopeInterface::SCOPE_STORE, $storeId);
    }
}

